CImageComparePrinter Class Reference

a class to print out the intensity values of two images to compare them More...

`#include <mia/2d/image.hh>`

Inheritance diagram for CImageComparePrinter:
[legend]
Collaboration diagram for CImageComparePrinter:
[legend]

## Public Member Functions

template<typename T, typename S>
int | operator() (const T2DImage< T > &src, const T2DImage< S > &ref) const

## Additional Inherited Members

Public Types inherited from TFilter< int >
typedef int | result_type
| defines the return type of the filter function

## Detailed Description

a class to print out the intensity values of two images to compare them

Definition at line 372 of file 2d/image.hh.

## Member Function Documentation

## operator()()

template<typename T, typename S>

int CImageComparePrinter::operator() | ( | const T2DImage< T > & | src,
|  | const T2DImage< S > & | ref ) const

inline

Definition at line 376 of file 2d/image.hh.

References T2DImage< T >::begin(), cvdebug(), and T2DImage< T >::end().

The documentation for this class was generated from the following file:

- 2d/image.hh